> For the complete documentation index, see [llms.txt](https://docs.clashperk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clashperk.com/developer/commands/autorole/config.md).

# /autorole config

Manage automatic roles settings.

## Options

| Name                         | Description                                                      |
| ---------------------------- | ---------------------------------------------------------------- |
| `auto_update_roles`          | Whether to update roles automatically.                           |
| `role_removal_delays`        | Whether to delay the removal of roles.                           |
| `role_addition_delays`       | Whether to delay the addition of roles.                          |
| `delay_exclusion_roles`      | Roles that are excluded from delays.                             |
| `always_force_refresh_roles` | Whether to enforce role refresh for individual users by default. |
| `allow_not_linked`           | Whether to allow not linked players to get roles.                |
| `verified_only_clan_roles`   | Whether to grant clans roles to verified players only.           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clashperk.com/developer/commands/autorole/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
